import time
import Globals, os, cPickle
from threading import Lock
l = Lock()

data_dir = os.path.join(Globals.INSTANCE_HOME,'var','iva_stat')
try:
	os.mkdir(data_dir)
except:
	pass
#TODO: ug_stat doesn't actually need to be in memry all the time.
ug_stat = {} # not course spec. user stats
uc_stat = {} # course spec. user stats
c_stat = {} # course stats
o_stat = {} # object views

def move_to_fs(zodb_obj):
    global ug_stat, uc_stat, c_stat, o_stat
    import copy
    ug_stat = copy.copy(zodb_obj.ug_stat)
    uc_stat = copy.copy(zodb_obj.uc_stat)
    c_stat = copy.copy(zodb_obj.c_stat)
    o_stat = copy.copy(zodb_obj.o_stat)
    saveToFile()

def load_data():
    global ug_stat, uc_stat, c_stat, o_stat
    ug = os.path.join(data_dir, 'ug_stat.dat')
    uc = os.path.join(data_dir, 'uc_stat.dat')
    c = os.path.join(data_dir, 'c_stat.dat')
    o = os.path.join(data_dir, 'o_stat.dat')

    f = open(ug, "r")
    ug_stat = cPickle.load(f)
    f.close()

    f = open(uc, "r")
    uc_stat = cPickle.load(f)
    f.close()

    f = open(c, "r")
    c_stat = cPickle.load(f)
    f.close()

    f = open(o, "r")
    o_stat = cPickle.load(f)
    f.close()

def saveToFile():
    """ saves data to disk """
    global ug_stat, uc_stat, c_stat, o_stat
    ug = os.path.join(data_dir, 'ug_stat.dat')
    uc = os.path.join(data_dir, 'uc_stat.dat')
    c = os.path.join(data_dir, 'c_stat.dat')
    o = os.path.join(data_dir, 'o_stat.dat')
    
    f = open(ug, "w")
    cPickle.dump(ug_stat, f)
    f.close()

    f = open(uc, "w")
    cPickle.dump(uc_stat, f)
    f.close()

    f = open(c, "w")
    cPickle.dump(c_stat, f)
    f.close()

    f = open(o, "w")
    cPickle.dump(o_stat, f)
    f.close()
    return 0

def saveStats(data, store_all_urls, track_sessions, show_all_views):
    """ saves stats coming from session expiration script """
    l.acquire()
    print "fs_saver received data:", data
    uname = data.get('uname', None)
    if uname is None:
	    return 0
    if store_all_urls:
	    setAllURLs(uname, data.get('all_urls', {}))
    setViewedObjects(uname, data.get('obj_history', {}), show_all_views)
    setUserGlobalData(uname, data, store_all_urls)
    setUserCourseData(uname, data.get('courses', []))
    l.release()
    return 0

def setAllURLs(uname, data):
    global ug_stat
    ugstat = ug_stat.get(uname, {})
    all_urls = ugstat.get('all_urls', [])
    for x in data:
	    all_urls.append(x)
    ugstat['all_urls'] = all_urls
    ug_stat[uname] = ugstat
    return 0

def setViewedObjects(uname, data, save_all):
    """ save viewed objects - webtop items mostly """
    global o_stat
    for obj in data:
            o_sta = o_stat.get(obj[0], {})
            u_sta = o_sta.get(uname, {'times':[], 'count':0})

            if not save_all:
                    u_sta['times'] = []
            u_sta['times'].append(obj[1])
            if not save_all:
                    u_sta['count'] += obj[2]
            else:
                    u_sta['count'] = -1

            o_sta[uname] = u_sta
            o_stat[obj[0]] = o_sta
    return 0

def setUserGlobalData(uname, data, store_all_urls):
    """ user global stats """
    global ug_stat
    ugstat = ug_stat.get(uname, {})
    ugstat['lastAccessGlobal'] = data.get('lastAccessGlobal')
    pages = ugstat.get('pagesOpenTotal', 0)
    ugstat['pagesOpenTotal'] = pages + data.get('pagesOpenTotal')
    sessions = ugstat.get('sessions', [])
    if not sessions:
            ugstat['sessions'] = []
    session = {
            'start':data.get('sessionStart'),
            'end':data.get('lastAccessGlobal'),
            'pagesOpened': data.get('pagesOpenTotal'),
            'urls':[]
            }
    if store_all_urls:
            session['urls'] = data.get('all_urls')
    sessions.append(session)
    ugstat['sessions'] = sessions
    return 1

def setUserCourseData(uname, data):
    """ setUserCourseData(uname, data.get('courses', [])) """
    global uc_stat, c_stat
    stat = uc_stat.get(uname, {})
    if not stat:
            uc_stat[uname] = {}
    for x in data.keys():
            cs = stat.get(x, {})
            for y in ('openPages','lastAccess','notesRead','postedNotes','postedArtefacts','postedArtefactAnnos','uploadedFiles','createdWikis','memosAdded','foldersOpened','linksAdded','testsSolved','numTimesEntered'):
                    if y in ('lastAccess',):
                            cs[y] = data[x].get(y)
                    else:
                            cs[y] = cs.get(y, 0)    # avoid KeyErrors
                            cs[y] += data[x].get(y)
            vj = data[x].get('visited').get('visit_jamming')
            vk = data[x].get('visited').get('visit_knowledgebuilding')
            if vj > cs.get('visit_jamming',0):
                    cs['visit_jamming'] = vj
            if vk > cs.get('visit_knowledgebuilding', 0):
                    cs['visit_knowledgebuilding'] = vk

            cs['addedEvents'] = "unimplemented"
            cs['addedQuizzes'] = "unimplemented"
            cs['addedAssignments'] = "unimplemented"
            stat[x] = cs

            csta = c_stat.get(x, {})
            if data[x].get('modified').get('jamming') > csta.get('modJamming',0):
                    csta['modJamming'] = data[x].get('modified').get('jamming')
            if data[x].get('modified').get('knowledgebuilding') > csta.get('modKnowledge',0):
                    csta['modKnowledge'] = data[x].get('modified').get('knowledgebuilding')
            if data[x].get('modified').get('bookshelf') > csta.get('modBookshelf',0):
                    csta['modBookshelf'] = data[x].get('modified').get('bookshelf')

            csta['modAssignments'] = "unimplemented"
            csta['modQuizes'] = "unimplemented"
            csta['modEvents'] = "unimplemented"
            c_stat[x] = csta
    uc_stat[uname] = stat

    return 0

def getAllURLs(uname):
    """ return all URLs """
    global ug_stat
    user = ug_stat.get(uname, [])
    if not user:
            return []
    return user.get('all_urls', [])

def getViewedObjs():
    """ get """
    global o_stat
    return o_stat

def getLastVisitTime(REQUEST, url, uname, sess, iva_url):
    """ url - relative url
    """
    time = 0

    global o_stat
    if sess is not None:
            obj_history = sess.get('obj_history', None)
            if obj_history is not None:
                    for x in obj_history:
                            if x[0] == url:
                                    if x[1] > time:
                                            time = x[1]

    if o_stat.has_key(url):
            if o_stat[url].has_key(uname):
                    if o_stat[url][uname]['times'][-1] > time:
                            time = o_stat[url][uname]['times'][-1]
    return time

def getUserSessions(uname):
    """ return a list of user sessions """
    global ug_stat
    u = ug_stat.get(uname, [])
    if not u:
            return u
    return u.get('sessions', [])

def getObjVisitors(url):
    """ return visitors for object """
    global o_stat
    return o_stat.get(url)

def getUserCourseStat(course, stat, uname):
    """ return stat for user on given course """
    global uc_stat
    o = uc_stat.get(uname, None)
    if o is None:
            return o
    c = o.get(course, None)
    if c is None:
            return c
    result = c.get(stat, None)
    return result

def getCourseStat(course, stat):
    """ return stat for course """
    global c_stat
    o = c_stat.get(course, None)
    if o is None:
            return o
    return o.get(stat, None)

def getUserGlobalStat(uname, stat):
    """ return stat for user """
    global ug_stat
    ugstat = ug_stat.get(uname, {})
    if not ugstat:
            return 0
    return ugstat.get(stat, 0)

try:
        print "loading data..."
	load_data()
        print "loaded"
except:
	print "problem reading statfiles"

