# -*- coding: utf-8
# Progressive Inquiry knowledge types by:
#   Kai Hakkarainen
#   Minna Lakkala
#   Pirita Seitamaa-Hakkarainen
#   Samu Mielonen
#   Teemu Leinonen
#   Tõlge eesti keelde: Mart Laanpere

name='Uuriv õppimine'
description= \
"""õppimist võib käsitleda uurimisena, mille eesmärgiks on üksikisiku ja rühma arusaamise parandamine. Sellisel juhul võib rääkida õppimisest, kasutades teadusliku uurimistööga seonduvaid termineid nagu (uurimis)probleem, teooriad, oma hüpoteesid, ideed ja seletused, teaduslikud teadmised. Uuriva õppimise metoodika rajaneb järk-järgulisel edenemisel üha paremini põhjendatud seletuste ja üha keerukamate probleemide suunas. Iga tsüklit alustatakse aga ikkagi õppijatele endile olulistest probleemidest ja nende omapoolsetest seletustest. 

Uurival õppimisel tuginev teadmustüübistik aitab õppijat mingi teema käsitlemisel eristama ja kasutama teema lahkamisel selliseid teadmustüüpe nagu: probleemipüstitus, oma teooria, mujalt loetud teaduslikud seletused, hinnangud ja kommentaarid arutelu protsessi kohta ning kokkuvõte arutelust. Niimoodi liigendatud õppimiprotsess sarnaneb teadusliku uurimistegevusega. Oma mõtete korrastamine ning esitamine teistele, samuti teiste mõtteavaldustega suhestumine ja selle protsessi jälgimine meta-tasandil - seda taotlebki uuriv õppimine, nii sünnibki põhjalikum arusaamine käsitletavast ainest."""
types=({'id': 'probleem',
        'name': 'Uurimisprobleem',
        'starting_phrase':"""Tahaksin saada teada, miks/kuidas...
Tahaksin uurida, miks/kuidas...""",
        'description':\
"""Uurimise eesmärgiks on probleemide lahendamine. Uuriva õppimise puhul püritakse 
õppijatele enestele oluliste probleemide esiletoomisele ja nendele seletuste/lahenduste
leidmisele. Uurimisprobleemi sõnastamine aitab kaasa õpieesmärkide määratlemisele:
märkides uurimisprobleemiks enesele mõistetamatu nähtuse, sead endale eesmärgiks
laiendada oma arusaamist käsitletavas valdkonnas.

Algul käsitletakse uuriva õppimise käigus probleemi omapoolsete seletuste pinnal ja
eriala/teaduskirjandusest tuge otsides. Arutelu tulemusel võivad esialgu püsitatud 
probleemid hiljem jaguneda osadeks või saada oluliselt ümber sõnastatud.
""",
        'checklist':
"""Kas tahad sõnastada ühise arutelu käivitamiseks uurimisprobleemi, mis <b>sulle endale huvi pakub</b>? Kas tahad selgitada oma <b>uurimiseesmärke</b>? Omapoolsete lahenduste ja selgituste pakkumiseks soovitame valida teine teadmustüüp """,
        'colour': "tt_yellowlt",
        'icon': "ui/images/types/coi/problem.gif",
        },
        {'id': 'oma',
        'name': 'Oma seletus',
        'starting_phrase': """Minu arvates...
Esialgse seletusena pakuksin...""",
        'description':\
"""
Omapoolse seletusena esitad oma mõtted käsitletava probleemi kohta,
on need siis esimese hooga pähe karanud põhjendused või suhteliselt
viimistletud seisukohad. Omapoolne seletus ei pea olema perfektsusele
pürgiv, oluline on su oma sisemiste arusaamade esiletoomine. Samuti 
pole soovitatav esitada oma seletusena teiste inimeste seisukohti
(kui need just täielikult su oma seisukohtadega ühte ei lange).

Ühine arusaam käsitletavast nähtusest tekib seda hõlpsamini, mida 
kiiremini ja selgemini suudate rühma sees üksteisele omapoolsed seisukohad
edasi anda. Siinkohal on oluline märkida, et sinu seisukohad ja omapoolsed
seletused muutuvad suure tõenäosusega õppimisprotsessi käigus, mõjutades
kaaslaste arvamusi ja saades ise nendest mõjutatud.""",
         'checklist':
"""Kas tahad jagada <b>oma mõtteid</b> (aimdusi, hüpoteese, teooriaid, seletusi v�i tõlgendusi)? 

<b>Ära kuluta liigselt aega, üritades viimistleda</b> seletust. Kirjuta põhjalikumad seletused hiljem.""",
         'colour': "tt_aqua",
        'icon': "ui/images/types/coi/work_th.gif",
        },
        {'id': 'teadus',
        'name': 'Teaduslik teadmine',
        'starting_phrase': """Olen leidnud teadusliku seletuse...""",
        'description':\
"""Teadusartiklitel vms. autoriteetsetel allikatel tuginev seletuse abil
esitad sügavamat või üldistusjõulisemat nägemust uuritavast valdkonnast. 
Teadusliku seletuse kaudu tuuakse arutelusse uusi mõisteid, mudeleid,
teooriaid, mis võivad (aga ei pruugi) olla kooskõlas sinu ja rühmakaaslaste 
omapoolsete seletustega. 

Teaduslik teadmine on teiste poolt loodud ja vastab teaduslikkuse kriteeriumidele. 
Heaks tavaks teadusliku teadmise esitamisel on täpse viite lisamine kasutatud allikale.
""",
        'checklist':
"""Kas tahad anda teada, mida on selle probleemi kohta kirjutanud <b>ala asjatundjad</b>? Kas need seletused käivad ikka <b>vaadeldava probleemi kohta</b>? Ära unusta mainida, <b>kust pärineb see teave</b> (raamat, artikkel, veebisait, tv-saade, loeng ...).""",
         'colour': "tt_orangelt",
        'icon': "ui/images/types/coi/deep_kn.gif",
        },
        {'id': 'protsess',
        'name': 'Arutelu korraldus',
        'starting_phrase': """Minu arvates on meie arutelu...
Mulle tundub, et meie õppimisprotsess on...""",
        'description':\
"""Töökorraldust ja arutelu kulgu peegeldava sõnumi abil
juhid kaaslaste tähelepanu pigem arutelu protsessile, jättes
kõrvale käsitletava probleemi sisu. Eesmärgiks on hinnata 
õppimisprotsessi senist kulgu ja korraldust ning teha
ettepanekuid, mis aitaks kõigil osalejatel efektiivsemalt 
ja põhjalikumalt õppida.

Arutelu korraldust puudutav sõnum võib keskenduda näiteks
vastutuse või ülesannete jaotamisele, osalejate panuse või 
õppemeetodi hindamisele, töötempole vms.
""",
        'checklist':
"""Kas sul on kommentaare rühma <b>töökorralduse</b> kohta? 
Kas oled juba andnud omapoolse <b>hinnangu</b> õppimisprotsessi kulgemisele? 
Kas tahad teha ettepanekuid <b>tööjaotuse/tempo</b> osas või <b>arutelu protsessi paremaks korraldamiseks</b>?""",
         'colour': "tt_purple",
        'icon': "ui/images/types/coi/meta_co.gif",
        },
        {'id': 'kokku',
        'name': 'Kokkuvõte',
        'starting_phrase': """Õppisime selle arutelu käigus... 
Jõudsime järgmise lõpptulemuseni: ...""",
        'description':\
"""Kokkuvõttes tuuakse välja eelnenud arutelu olulisemad osad ja seisukohad,
mis on võimalik koondada ühtseks, vastuoludeta tervikuks. Eesmärgiks on 
korrata veelkord üle esialgne uurimisprobleem koos selle teisendustega,
mis tekkisid arutelu käigus, samuti kesketena esile tõusnud seletused.

Kokkuvõte võib olla nii personaalne kui ka kollektiivne looming, mis
peegeldab rühma konsensust käsitletud probleemi seletuste ja lahenduste
osas. Kokkuvõtteid võib olla ka mitu, näiteks juhul kui esialgne
probleem on arutelu käigus jagunenud mitmeks alaprobleemiks. 
""",
        'checklist':
"""Kas oled lugenud läbi kõik <b> arvamused, seletused ja kommentaarid</b>? 
Kas tahad teha <b>vahekokkuvõtte</b> arutelu alateemast? 
Kas tahad <b>kirjeldada</b>, mida oled lõpuks saanud teada <b>algul püstitatud probleemi kohta</b>?""",
         'colour': "tt_greenlt",
        'icon': "ui/images/types/coi/summary.gif",
        },
)
thread_start=('probleem',)
# With what you can respond.
# For a better example, please consult cvs repo!

relations={}
tt_ids = [x['id'] for x in types]
for type in types:
        relations[type['id']] = tt_ids

# EOF

